Bug 8479 - ошибка переименования
: ошибка переименования
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/ifrename)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-11-12 22:29 by
Modified: 2006-09-16 22:44 (History)


Attachments
wireless-utils patch (970 bytes, patch)
2005-11-27 16:49, Denis Ovsienko
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-12 22:29:26
etcnet не распознаёт в /etc/net/iftab имя сетевого интерефейса в виде "ethX", а
лишь в виде "ether".
Т.е.:
# Generated by /etc/net initconf script
eth0 mac 00:04:75:e1:43:c7 
вызывает при service network start или reload появление сообщений:

Starting group 0/virtual (1 interfaces)
        Starting lo: .Warning: Interface name is `eth0' at line 2, can't be
mapped reliably.
....OK
Starting group 1/realphys (1 interfaces)
        Starting eth0: .Warning: Interface name is `eth0' at line 2, can't be
mapped reliably.
......OK
------- Comment #1 From 2005-11-13 10:43:13 -------
Сообщите версию ifrename и точное содержимое /etc/net/iftab
------- Comment #2 From 2005-11-13 12:26:19 -------
ifrename-28-alt5.pre10

/etc/net/iftab
# Generated by /etc/net initconf script
eth0 mac 00:04:75:e1:43:c7

# Generated by /etc/net initconf script
#eth0 driver 3c59x


------- Comment #3 From 2005-11-13 13:46:57 -------
Я попробую исправить ошибку.
------- Comment #4 From 2005-11-27 16:23:58 -------
После решения #7896 сообщения об ошибках ifrename больше не маскируются, в том
числе и приведённое выше. Оно появляется только тогда, когда целевое имя
интерфейса в iftab равно 'eth0'. Пока можно использовать другое имя, а в
будущем
я надеюсь, что этого предупреждения больше не будет.
------- Comment #5 From 2005-11-27 16:49:52 -------
Created an attachment (id=1265) [details]
wireless-utils patch

taf: предлагаю включить в wireless-tools приложенный патч, у меня он убирает
предупреждение корректно.
------- Comment #6 From 2005-12-14 14:59:20 -------
Есть ли какой-либо прогресс?
------- Comment #7 From 2005-12-14 15:27:43 -------
С этим патчем наблюдается другой отрицательный эффект:

[root@sass net]# service network restart
Computing interface groups: .. 2 interfaces found
Processing /etc/net/vlantab: 0 lines processed.
Stopping group 1/realphys (1 interfaces)
        Stopping eth0: ...OK
Stopping group 0/virtual (1 interfaces)
        Stopping lo: ..OK
Computing interface groups: .. 2 interfaces found
Starting group 0/virtual (1 interfaces)
        Starting lo: .....OK
Starting group 1/realphys (1 interfaces)
        Starting eth0: .Error: cannot change name of eth1 to eth0: File exists
......OK
Processing /etc/net/vlantab: 0 lines processed.

Вот содержимое iftab при этом:

eth0 mac 00:50:70:51:4b:d3
#ether1 mac 00:05:1c:08:c0:04
eth0 driver 8139too
------- Comment #8 From 2005-12-14 16:06:44 -------
Мне кажется, что интерфейсов у вас два. Один из них при загрузке модуля
становится eth0, другой eth1 с адресом 00:50:70:51:4b:d3. При этом eth1 не
может
быть переименован в eth0, что естественно.
И селектор driver в iftab в этом случае лишний.
------- Comment #9 From 2005-12-14 16:28:01 -------
Упоминание драйвера связано с тем, что я его удалил из modules.conf.
Физически у меня действительно лва интерфейса - один из них встроенный, на
маме,
но он не испольуется, так как глючный. И без применения этого патча про
переименование eth1 упоминаний не было.
------- Comment #10 From 2005-12-14 16:55:12 -------
Количество интерфесов я угадал. Оба интерфейса обслуживаются модулем 8139too?
Тогда eth0 не изменит своего имени, а eth1 попытается стать eth0 (так как
driver
8139too отнесётся и к нему), но у него не получится, ведь eth0 уже занят.
Выбросьте строку с driver, она никак не влияет на загрузку модулей. И не
именуйте интерфейсы eth0/eth1, так как вероятность конфликта повышается.
Оригинальное предупреждение ifrename именно об этом и сообщало.
Сообщите о результате.
------- Comment #11 From 2005-12-14 17:09:37 -------
Прошу уточнить - упоминавшийся тут патч таки нужно поместить в пакет, или все
обошлось без него?
------- Comment #12 From 2005-12-14 17:41:26 -------
Что значит не именовать eth0/eth1? 
А как же тогда их именовать? Из-за того, что etcnet не работает с именами вида
ethX и возник этот багрипорт. Я и так сейчас использую etherX.
------- Comment #13 From 2005-12-15 23:19:19 -------
Попробуйте назвать их bad и good. Ситуация, когда один называется eth0, а
другой
eth1, а вы их хотите назвать наоборот, в один ход не обрабатывается.
------- Comment #14 From 2005-12-16 01:54:54 -------
Боюсь, что у нас тут намечается некое непонимание друг друга. У меня в машине
есть два сетевых утройства - одно интегрированное на материке, а второе в виде
отдельной сетевой карты. Так вот используется то, которое не интегрированное,
так как интегрированное глючит и поэтому полностью "обезврежено", т.е.
отключено. Без этого патча, с именем интерфейса вида "etherX", операции с
устройством происходят нормально и без ругани. После применения патча и
переименования того же самого интерфейса в "ethX" при выполнении service
network
reload/restart появляется ругань на невозможность сменить название eth1 на
eth0.
Однако наблюдается это только на этой машине. На другой, с одной картой, всё
проходит нормально, без ругани. Как бы это дело обойти? Почему с патчем
"цепляется" второе устройство?
------- Comment #15 From 2005-12-19 12:10:30 -------
Если у вас отключен набортный интерфейс, то почему у вас присутствуют и eth0 и
eth1?
Причины "ругани" я объяснил выше.
taf: я уже не уверен, пока не прикладывайте.
------- Comment #16 From 2005-12-19 12:49:20 -------
Почему так происходит - для меня остаётся загадкой. Полное прибивание
устройства, включая выгрузку драйвера, к положительному результату не привело.
По прежнему при налодении патча при названии интерфейса eth0 наблюдается
сообщение о невозможности сменить имя с eth1 на eth0, хотя активным до этого
было только одно устройство - eth0. При "откате" имени устройства на ether0 или
использовании "левого" имени всё отрабатывает на ура. 
------- Comment #17 From 2005-12-19 13:26:19 -------
Для аппаратно отключенного устройства модуль не загрузился бы.
Насколько я вижу из диалога, данная ситуация является не неправильной работой
/etc/net или ifrename, а только следствием выполненных настроек, которые
приводят к созданию eth0 и eth1 и попытке переименовать eth1 в eth0.
------- Comment #18 From 2005-12-19 13:48:30 -------
У меня только два вопроса:
1) почему эта ругань присутствует только при имени устройства вида ethX?
2) вот вывод ifconfig и dmesg - Вы там где-нибудь различаете название устройства
eth1 или какое-либо упоминание о втором сетевом устройстве?

eth0      Link encap:Ethernet  HWaddr 00:05:1C:08:C0:04  
          inet addr:192.168.0.4  Bcast:0.0.0.0  Mask:255.255.255.192
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:58232 errors:126 dropped:0 overruns:0 frame:0
          TX packets:27595 errors:2 dropped:0 overruns:0 carrier:4
          collisions:3104 txqueuelen:1000 
          RX bytes:35908871 (34.2 MiB)  TX bytes:13470281 (12.8 MiB)
          Interrupt:10 Base address:0xd000 

eth0:1    Link encap:Ethernet  HWaddr 00:05:1C:08:C0:04  
          inet addr:192.168.0.14  Bcast:0.0.0.0  Mask:255.255.255.192
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:366 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:10 Base address:0xd000 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:1423 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1423 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:324851 (317.2 KiB)  TX bytes:324851 (317.2 KiB)

Вот кусок dmesg:
[cut]
  Type:   CD-ROM                             ANSI SCSI revision: 02
8139too Fast Ethernet driver 0.9.26
divert: allocating divert_blk for eth0
eth0: RealTek RTL8139 at 0xcc24b000, 00:05:1c:08:c0:04, IRQ 10
eth0:  Identified 8139 chip type 'RTL-8139C'
eth0: link up, 10Mbps, half-duplex, lpa 0x0000
/dev/vmmon[790]: Module vmmon: registered with major=10 minor=165
/dev/vmmon[790]: Module vmmon: initialized
[cut]

И в конце концов, если бы я даже и имел бы два устройства и назвал бы их eth0 и
eth1, то почему это должно вызывать конфликт при команде restart?
------- Comment #19 From 2005-12-19 14:29:58 -------
А это тогда откуда?
> Error: cannot change name of eth1 to eth0: File exists
------- Comment #20 From 2005-12-19 14:52:11 -------
Я фигею в этом зоопарке! :)
Дык, а я почём знаю? Я потому и поднимаю пыль, что непонятно, откуда вообще мог
eth1 взяться. А может это eth0:1 из-за патча переименовывается в eth1? Не может
такого быть?
------- Comment #21 From 2005-12-19 15:05:15 -------
Если не использовать ifconfig, а использовать ip, то станет ясно, что eth0:1 не
существует, это фикция. Приаттачьте tar.gz с содержимым /etc/net или пришлите
мне почтой. И lspci/pciscan + /etc/modules.conf покажите.
------- Comment #22 From 2005-12-19 16:43:18 -------
Просмотрев файлы, я вынужден констатировать отсутствие eth1. Если избавиться от
eth0:1, проблема исчезает?
------- Comment #23 From 2005-12-22 11:20:37 -------
?
------- Comment #24 From 2006-01-24 10:21:24 -------
Исчезает или нет?
------- Comment #25 From 2006-01-24 10:32:14 -------
Сейчас - с патчем - вроде бы всё работает. Я думаю, что можно закрыть баг.
------- Comment #26 From 2006-01-24 10:58:11 -------
Патч пока сам по себе, он отдельно от Sisyphus. Что без него?
------- Comment #27 From 2006-01-24 12:52:52 -------
Без него наверное тоже-самое, что и было. У меня сейчас нет возможности это
проверить - занят сдачей экзаменов.
------- Comment #28 From 2006-01-24 13:12:19 -------
Тогда за отсутствием подобных жалоб я понижаю severity и откладываю в долгий
ящик. Разберёмся позже.
------- Comment #29 From 2006-01-24 13:51:56 -------
Согласан. По возможности проверю, что происходит без eth0:1.
------- Comment #30 From 2006-08-27 15:53:39 -------
Есть новости?
------- Comment #31 From 2006-09-16 22:44:36 -------
При необходимости пожалуйста переоткройте.